<?php
###########################
#Скрипт: Keo v1#
#Автор: GulievMMA#
#Версия: v1#
#Страна: Азербайджан#
#Город: Сумгайыт#
#Спорт: ММА#
#Сайт: KeoTop.Ru#
#Сайт: H9M.Ru#
#Телеграм: @AnarQuliyevMMA#
#E-mail: guliev.mma@gmail.com  #
#WhatsApp: +994 (77) 768-39-39#
#WhatsApp: +994 (55) 968-78-69#
############################
#Скрипт Принадлежит Мне , Продавать и Распростронять Нельзя (!)#
############################
define('NTOP', 1);
$title = 'Информация о сайте';
require_once('system/connect.php');
require_once('system/core.php');
require_once('system/function.php');
require_once('m/head.php');
echo '<div class="title">По страницам</div>';

$site = isset($_GET['site']) ? mysqli_real_escape_string($mysqli,htmlspecialchars(trim($_GET['site']))) : FALSE;

if(!$site){
    echo 'Неверные параметры! <a href="http://'.$set['home'].'/stats/'.$id.'">Статистика</a>';
    require_once('m/foot.php');
    exit;
}

$count = mysqli_result(mysqli_query($mysqli,"SELECT COUNT(DISTINCT `ref`) FROM `counter` WHERE `id_site` = '".$id."' AND `ref` LIKE '%".$site."%';"), 0);
if($count > 0){
$total=intval(($count-1)/$pages)+1; 
	$page=abs(intval($_GET['page'])); 
	if(empty($page) OR $page < 0)
		{
	$page = 1; 
		}
	if($page > $total)
		{
	$page = $total; 
		}
	$past=intval($count/$pages);  
	$start=$page*$pages-$pages; 
    $req = mysqli_query($mysqli,"SELECT * FROM `counter` WHERE `id_site` = '".$id."' AND `ref` LIKE '%".$site."%' GROUP BY `ref` LIMIT ".$start.",".$pages);
    while($arr = mysqli_fetch_array($req)){
        echo '<div class="stat">';
        $time = date("H:i", $arr['date']);
        $count_hits = mysqli_result(mysqli_query($mysqli,"SELECT COUNT(*) FROM `counter` WHERE `id_site` = '".$id."' AND `ref` = '".$arr['ref']."'") , 0);
        echo ' <a href="'.$arr['ref'].'">'.$arr['ref'].'</a>
        <hr>'.$time.' | Переходов: '.$count_hits.'</div>
        ';  
        }
    
    echo '<div class="categories">Всего: '.$count.'</div>';
    if ($count > $pages){
    navigation($count,$pages,$page,'http://'.$set['home'].'/siteadr.php?id='.$id.'&amp;site='.$site.'&amp;page=',$total);
    
    }
}else{
 echo '<div class="menu">Отсутствует!</div>';   
}


$back_links = '<a href="index.php?act=referer">Выбор сайта</a><br/>';
require_once('m/foot.php');
?>